TechDraw "Вставить знак"

From FreeCAD Documentation
This page is a translated version of the page TechDraw Symbol and the translation is 44% complete.
Outdated translations are marked like this.
Other languages:

Вставить знак

Системное название
TechDraw_Symbol
Расположение в меню
TechDraw → Вставить SVG знак
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Шаблоны, Draft SVG

Описание

The TechDraw Symbol tool inserts an SVG file into the page. This symbol can be anything that helps annotating your drawing, and that doesn't need to be further modified.

Compass rose added to the drawing page; this symbol is available by installing the "symbols_library" addon with the Addon Manager

Применение

  1. If there are multiple drawing pages in the document: optionally activate the desired page by selecting it in the Tree view.
  2. There are several ways to invoke the tool:
    • Press the Insert SVG Symbol button.
    • Select the TechDraw → TechDraw Views → Insert SVG Symbol option from the menu.
  3. If there are multiple drawing pages in the document and you have not yet activated a page, the Page Chooser dialog box opens: introduced in version 0.20
    1. Select the desired page.
    2. Press the OK button.
  4. A file dialog opens.
  5. Select a location and file name.
  6. The symbol is inserted.
  7. Optionally change its ДанныеScale property to adjust its size.

Примечания

  • ДанныеScale Type for Symbols is always set to Custom at creation. This is for convenience, since symbols are almost always scaled differently from the rest of the objects on the page.

Properties

See also TechDraw View.

Drawing view

  • ДанныеEditable Texts: List of editable texts, if any.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The Symbol tool can be used in macros and from the Python console by using the following functions:

sym = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewSymbol','TestSymbol')
rc = page.addView(anno)
f = open(unicode(symbolFileSpec,'utf-8'),'r')
svg = f.read()
f.close()
sym.Symbol = svg
rc = page.addView(sym)